package com.bipt.intelligentapplicationorchestrationservice.utils;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class ConfigConstants {
    @Value("${model.deploy.port:8080}")
    public int MODEL_PORT;

    @Value("${model.deploy.url-template:http://%s:%d/model/%s/%s}")
    public String URL_TEMPLATE;

    @Value("${model.deploy.script-timeout:300}")
    public int SCRIPT_TIMEOUT_SECONDS;
}
